<!doctype html public "-//W3C//DTD HTML 4.0 //EN">

<html>

<head>
<title>Ajax Comment System with Reply to Post facility using jQuery PHP and Ajax</title>

<script type="text/javascript" src="jquery-1.2.6.min.js"></script>
<link href="screen.css" type="text/css" rel="stylesheet" />

<script type="text/javascript">
// <![CDATA[	

	$(document).ready(function(){	
	
		$('#Send').click(function() {  
		
		// name validation
		
		var nameVal = $("#name").val();
		if(nameVal == '') 
		{
			$("#name").css("background-color", '#FFFFCC');
			return false
		}
		else
		{
			$("#name").css("background-color", '');
		}
		
		/// email validation
		var emailReg = /^([\w-\.]+@([\w-]+\.)+[\w-]{2,4})?$/;
		var emailaddressVal = $("#email").val();
		
		if(emailaddressVal == '') 
		{
			$("#email").css("background-color", '#FFFFCC');
			return false;
		}
		else if(!emailReg.test(emailaddressVal)) 
		{
			$("#email").css("background-color", '#FFFFCC');
			return false;
		}
		else
		{
			$("#email").css("background-color", '');
		}
		
		/// url validate
		var urlVal= $("#url").val();
		
		if(urlVal != '') 
		{
			if(!isUrl(urlVal)) 
			{
				$("#url").css("background-color", '#FFFFCC');
				return false;
			}
			else
			{
				$("#url").css("background-color", '');
			}
		}
		
		//$("#after_submit").html('');
		//$("#after_submit").hide();
		$("#Send").after('<img  src="load.gif" id="loader" />');
			
		// submit
		$.post("posts.php?"+$("#MYFORM").serialize(), {
			
		}, function(response){
		
			$("#loader").hide();
			$("#after_submit").html('');
			$("#div-comments").append(response);
			$("#Send").after('<label class="success" id="after_submit">Your comment has been submitted.</label>');
			clear_form();
			
		});
			
		return false;
	});
 	
	function isUrl(s) {
		var regexp = /(ftp|http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/
		return regexp.test(s);
	}

	
	function clear_form()
	{
	$("#name").val('');
	$("#email").val('');
	$("#url").val('');
	$("#message").val('');
	}
});

	// ]]>
</script>

</head>
<body>

	<div align="center">
		<h1>Ajax Comment System with Gravatar Facility.</h1>
		<br clear="all" />
		
		<div id="div-comments">
			
			<div class="each-comment">
			<img width="95" height="85" alt="" src="http://www.gravatar.com/avatar.php?gravatar_id=6a653ca2cad9e843b7b8ee7deda0016b&amp;rating=PG&amp;size=100&amp;default=http%3A%2F%2Fwww.mydomain.com%2Fimg%2Fgravatar.png" class="avatar_img">			
			<div class="comments_body">
			
				<a target="blank" href="http://www.99points.info" rel="external nofollow" class="url">Zeeshan Rasool</a> says:
				<div class="comment-date">
					August 8 2010 at 02:54:PM				</div>
			
				<p>An amazing jQuery and Ajax based comment system which is very simple to use. Gravatar feature is integrated in this comment system. I have created this comment system using jQuery, Ajax, PHP and Mysql.
Hope You Like it !</p>
		
			</div>
			<br clear="all">
		</div>
		
			<?php include_once('posts.php');?>
			
		</div>
		
		<br clear="all" /><br clear="all" />
	
		<form action="#" name="MYFORM" id="MYFORM">

			<label>Name</label>
			<label>Email</label>
			<label>URL</label>
			
			<br clear="all" />
			
			<input name="name" type="text" id="name">
			<input name="email" type="text" id="email">
			<input name="url" type="text" id="url">
			
			<br clear="all" /><br clear="all" />
			
			<label>Comment</label>
			<br clear="all" />
			
			<textarea id="message" name="message"></textarea>
			
			<br clear="all" /><br clear="all" />
			<input type="hidden" name="post_id" id="post_id" value="1">
			<input value="Add Comment" type="submit" id="Send">
	
		</form>
		
		
		
	</div>

	<br clear="all" /><br clear="all" /><br clear="all" />
	<br clear="all" />

</body>
</html>
